GET /pricing/plans
Lista planos ativos+públicos+não-grandfathered pra pricing page pública.
- Access: Public
- Service:
https://api.axuz.net
Accepted authentication
No authentication (public route, or protected by link/signature).
Lista planos ativos+públicos+não-grandfathered pra pricing page pública.
Motivo: endpoint unauthenticated marketing-safe; omite stripe ids e overage (leaks internos). Comportamento: sem filtros; SELECT filtrado por is_active AND is_public AND NOT grandfathered.
Entradas: sem params (só ctx).
Retorno: JSON {items:[]PublicPlan}; 500 se query/scan falhar. Efeito: SELECT em subscription_plans (Neon).
Parameters
No parameters.
Responses
200
TBD
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Se query/scan falhar. Efeito: SELECT em subscription_plans (Neon)
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X GET 'https://api.axuz.net/pricing/plans'Node.js
const res = await fetch("https://api.axuz.net/pricing/plans", {
method: 'GET',
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"GET",
"https://api.axuz.net/pricing/plans",
timeout=30,
)
res.raise_for_status()
print(res.json())